QGIS Application - Bug report #21388
Word wrapping not working in maptips
2019-02-26 10:33 AM - Victor Olaya

Status: Closed

Priority: High

Assignee: Alexander Bruy

Category: Map Canvas

Affected QGIS version:3.7(master) Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29205
Description

The text is shown in a single line, so if it is too long, you only see it partially

Using CSS to modify the width of the tooltip does not has any efect on the word wrapping

This used to work fine, both in 2.X and in earlier versions of 3.X (Verified in 3.0)

Associated revisions

Revision 1d4a69d7 - 2019-05-23 02:18 PM - Alexander Bruy

[maptips] restore wrapping of the long lines (fix #21388)

Revision 38140866 - 2019-05-24 05:38 AM - Alexander Bruy

[maptips] restore wrapping of the long lines (fix #21388)

Revision caOb739e - 2019-05-24 01:33 PM - Alexander Bruy

Merge pull request #10090 from ggis/backport-10081-to-release-3_4

[Backport release-3_4] [maptips] restore wrapping of the long lines (fix #21388)

History

#1 - 2019-02-26 11:38 AM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2019-05-23 02:21 PM - Alexander Bruy
- Assignee set to Alexander Bruy

- Status changed from Open to In Progress

#3 - 2019-05-23 02:25 PM - Alexander Bruy
- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/10081
https://github.com/qgis/QGIS/pull/10081

#4 - 2019-05-24 05:38 AM - Alexander Bruy
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|3814086661f4a557ea981c1324d07b9f0b695e64.
